using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Enums.PF
{
    public enum PFPlatformTypeEnum
    {
        应用平台 = 0,
        企业平台 = 1
    }
    public enum PFFieldTypeEnum
    {
        树字段 = 0,
        表字段 = 1
    }

    public enum UpgradeType
    {
        增量 = 0,
        全量 = 1
    }
    public enum ApproveStatus
    {
        [Description("进行中")]
        Doing = 0,
        [Description("已完成")]
        Done = 10,
        [Description("已驳回")]
        Reject = 20,
        [Description("已阅")]
        View = 30,
    }

    public enum NodeApproveStatus
    {
        [Description("未审批")]
        Doing = 0,
        [Description("已通过")]
        Done = 10,
        [Description("已驳回")]
        Reject = 20,
    }
    public enum PFOperateEnum
    {
        等于 = 1,
        不等于 = 2,
        小于 = 3,
        小于等于 = 4,
        大于 = 5,
        大于等于 = 6,
        开始于 = 7,
        结束于 = 8,
        包含 = 9,
    }
    /// <summary>
    /// 分文件夹名称 全部都要配置进来
    /// 跑批日志 用 获取conn
    /// </summary>
    public enum FilePathHead
    {
        /// <summary>
        /// 行洛坑
        /// </summary>
        [Description("B043B28B-BBC3-C452-6052-4FBA1457ABFA")]
        XLK = 1,
        /// <summary>
        /// 龙岩稀土
        /// </summary>
        [Description("8F1CF418-8BF3-EA3F-7A6D-FC5D61247008")]
        LYXT = 2,
        /// <summary>
        /// 洛阳豫鹭 
        /// </summary>
        [Description("D9871BA8-0EEC-9E4A-BB87-7D5A540D8913")]
        LYYL = 3,
        /// <summary>
        /// 都昌金鼎 
        /// </summary>
        [Description("8B3C41AA-51B1-7CE9-1879-248A038C1B5C")]
        DCJD = 4,
        /// <summary>
        /// 广西博白 
        /// </summary>
        [Description("3EFD5276-632B-E379-9FF3-7A7546591FCA")]
        GXBB = 5,
        /// <summary>
        /// 连城锰矿 
        /// </summary>
        [Description("11111111-1111-1111-1111-111111111111")]
        LCMK = 6,
        /// <summary>
        /// SMS测试 
        /// </summary>
        [Description("A3DCE14A-13D9-D879-D9AB-821D4A3F1F93")]
        SMSDemo = 7,
    }

    /// <summary>
    /// 系统性标准状态
    /// </summary>
    public enum PFStandardStatus
    {
        /// <summary>
        /// 草稿  0
        /// </summary>
        [Description("草稿")]
        Draft = 0,

        /// <summary>
        /// 确认中  10
        /// </summary>
        [Description("确认中")]
        Sign = 10,

        /// <summary>
        /// 审核中 20
        /// </summary>
        [Description("审核中")]
        Approving = 20,

        /// <summary>
        /// 已归档 30 
        /// </summary>
        [Description("已归档")]
        Archived = 30,

        /// <summary>
        /// 已驳回 40
        /// </summary>
        [Description("已驳回")]
        Rejected = 40,
    }


    /// <summary>
    /// 系统性是否
    /// </summary>
    public enum YesNoEnum
    {
        /// <summary>
        /// 是  10
        /// </summary>
        [Description("是")]
        Yes = 10,
        /// <summary>
        /// 否  20
        /// </summary>
        [Description("否")]
        No = 20,
    }


    /// <summary>
    /// 系统性是否
    /// </summary>
    public enum FeedBackEnum
    {
        /// <summary>
        /// 错误纠正  10
        /// </summary>
        [Description("错误纠正")]
        Error = 10,

        /// <summary>
        /// 优化建议  20
        /// </summary>
        [Description("优化建议")]
        Approve = 20,

    }
}
